<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ArrayOfstring' => '\\ArrayType\\ArrayOfstring',
            'agentLogin' => '\\StructType\\AgentLogin',
            'AgentDetails' => '\\StructType\\AgentDetails',
            'AgentResponse' => '\\StructType\\AgentResponse',
            'GetResponse' => '\\StructType\\GetResponse',
            'Response' => '\\StructType\\Response',
            'AgentInfo' => '\\StructType\\AgentInfo',
            'UpdateDetails' => '\\StructType\\UpdateDetails',
            'LeadDetail' => '\\StructType\\LeadDetail',
            'CreateSchedule' => '\\StructType\\CreateSchedule',
            'CreateNote' => '\\StructType\\CreateNote',
            'ApplicationDetail' => '\\StructType\\ApplicationDetail',
            'ApplicationCount' => '\\StructType\\ApplicationCount',
            'LeadInfo' => '\\StructType\\LeadInfo',
            'LeadResponse' => '\\StructType\\LeadResponse',
            'ApplicationData' => '\\StructType\\ApplicationData',
            'ApplicationCreated' => '\\StructType\\ApplicationCreated',
            'PopupData' => '\\StructType\\PopupData',
            'DXLead' => '\\StructType\\DXLead',
            'ResponseVal' => '\\StructType\\ResponseVal',
            'ValidateLogin' => '\\StructType\\ValidateLogin',
            'ValidateLoginResponse' => '\\StructType\\ValidateLoginResponse',
            'CreateAgent' => '\\StructType\\CreateAgent',
            'CreateAgentResponse' => '\\StructType\\CreateAgentResponse',
            'GetAgentDetail' => '\\StructType\\GetAgentDetail',
            'GetAgentDetailResponse' => '\\StructType\\GetAgentDetailResponse',
            'UpdateAgent' => '\\StructType\\UpdateAgent',
            'UpdateAgentResponse' => '\\StructType\\UpdateAgentResponse',
            'UpdateAgentLevelUpline' => '\\StructType\\UpdateAgentLevelUpline',
            'UpdateAgentLevelUplineResponse' => '\\StructType\\UpdateAgentLevelUplineResponse',
            'SetToInactive' => '\\StructType\\SetToInactive',
            'SetToInactiveResponse' => '\\StructType\\SetToInactiveResponse',
            'GetAgentLeads' => '\\StructType\\GetAgentLeads',
            'GetAgentLeadsResponse' => '\\StructType\\GetAgentLeadsResponse',
            'GetLeadDetail' => '\\StructType\\GetLeadDetail',
            'GetLeadDetailResponse' => '\\StructType\\GetLeadDetailResponse',
            'UpdateLead' => '\\StructType\\UpdateLead',
            'UpdateLeadResponse' => '\\StructType\\UpdateLeadResponse',
            'GetAgentLeadsSinceDate' => '\\StructType\\GetAgentLeadsSinceDate',
            'GetAgentLeadsSinceDateResponse' => '\\StructType\\GetAgentLeadsSinceDateResponse',
            'ChangeStatusWithSchedule' => '\\StructType\\ChangeStatusWithSchedule',
            'ChangeStatusWithScheduleResponse' => '\\StructType\\ChangeStatusWithScheduleResponse',
            'ChangeStatusWithNote' => '\\StructType\\ChangeStatusWithNote',
            'ChangeStatusWithNoteResponse' => '\\StructType\\ChangeStatusWithNoteResponse',
            'GetAgentApplicationsSinceDate' => '\\StructType\\GetAgentApplicationsSinceDate',
            'GetAgentApplicationsSinceDateResponse' => '\\StructType\\GetAgentApplicationsSinceDateResponse',
            'GetAgentApplicationsSinceLast30Days' => '\\StructType\\GetAgentApplicationsSinceLast30Days',
            'GetAgentApplicationsSinceLast30DaysResponse' => '\\StructType\\GetAgentApplicationsSinceLast30DaysResponse',
            'GetApplication' => '\\StructType\\GetApplication',
            'GetApplicationResponse' => '\\StructType\\GetApplicationResponse',
            'GetApplicationsCount' => '\\StructType\\GetApplicationsCount',
            'GetApplicationsCountResponse' => '\\StructType\\GetApplicationsCountResponse',
            'CreateReferral' => '\\StructType\\CreateReferral',
            'CreateReferralResponse' => '\\StructType\\CreateReferralResponse',
            'CreateApplicationTaken' => '\\StructType\\CreateApplicationTaken',
            'CreateApplicationTakenResponse' => '\\StructType\\CreateApplicationTakenResponse',
            'ApplicationPopUps' => '\\StructType\\ApplicationPopUps',
            'ApplicationPopUpsResponse' => '\\StructType\\ApplicationPopUpsResponse',
            'GetPolicyType' => '\\StructType\\GetPolicyType',
            'GetPolicyTypeResponse' => '\\StructType\\GetPolicyTypeResponse',
            'AddDXIALead' => '\\StructType\\AddDXIALead',
            'AddDXIALeadResponse' => '\\StructType\\AddDXIALeadResponse',
            'UpdateAgentAllowToOrder' => '\\StructType\\UpdateAgentAllowToOrder',
            'UpdateAgentAllowToOrderResponse' => '\\StructType\\UpdateAgentAllowToOrderResponse',
            'Maintain_Lead_for_CFR' => '\\StructType\\Maintain_Lead_for_CFR',
            'Maintain_Lead_for_CFRResponse' => '\\StructType\\Maintain_Lead_for_CFRResponse',
        );
    }
}
