<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Application ServiceType
 * @subpackage Services
 */
class Application extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named ApplicationPopUps
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ApplicationPopUps $parameters
     * @return \StructType\ApplicationPopUpsResponse|bool
     */
    public function ApplicationPopUps(\StructType\ApplicationPopUps $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ApplicationPopUps($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\ApplicationPopUpsResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
